import list from '@/mixins/list'
export default {
	mixins: [list],
	created() {
		this.activeIndex = -100
		this.getList(true)
	},
	methods: {
		handle2ProcessTask(id, instId, category, definitionId, allowDeal) {
			uni.navigateTo({
				url:`/pages/workflowTask/webviewPages/dealTask?id=${id}&definitionId=${definitionId}&instId=${instId}&category=${category}&allowDeal=${allowDeal}`
			})
		}
	},
	watch: {
	  searchKeyWord: {
	    handler: function (val) {
		  this.list = []
	      this.queryParam['name'] = val
		  this.handlePullDownRefresh()
	    }
	  }
	},
	props: {
		approveListHeight: {
			type: Number
		},
		searchKeyWord: {
			type: String
		}
	}
}